/*
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

void setup() {
  // Reset DOGSTAMP
  pinMode(40, OUTPUT);
  digitalWrite(40, HIGH);
  delay(100);
  digitalWrite(40, LOW);
  // Start communication
  Serial3.begin(115200);
  Serial.begin(115200);
  
}

void loop() {
  // Pass through
  if(Serial3.available()) Serial.write(Serial3.read());
  if(Serial.available()) Serial3.write(Serial.read());
}
